🚀 Teable Credits Up 10x! See our changelog for details.
curl --request POST \
--url https://app.teable.ai/api/oauth/client \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","homepage":"http://example.com","logo":"string","scopes":["table|create"],"redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Create a new OAuth application
curl --request POST \
--url https://app.teable.ai/api/oauth/client \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","homepage":"http://example.com","logo":"string","scopes":["table|create"],"redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1table|create, table|delete, table|export, table|import, table|read, table|update, table|trash_read, table|trash_update, table|trash_reset, view|create, view|delete, view|read, view|update, field|create, field|delete, field|read, field|update, record|comment, record|create, record|delete, record|read, record|update, automation|create, automation|delete, automation|read, automation|update, user|email_read, user|integrations Was this page helpful?